<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xingxi.api.data.mapper.WxApiOrderMapper">

    <select id="lockOrderByPrescId" parameterType="Long" resultType="Order">
        select * from t_order where orderId = #{orderId} for update
    </select>
</mapper>
